package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

@JsonSerialize
@ApiModel(description = "树目录拖拽参数")
public class TreeMoveDto {
    @ApiModelProperty("被拖拽树目录id")
    @NotBlank
    private String id;

    @ApiModelProperty("目标位置父节点id")
    @NotBlank
    private String targetId;

    @ApiModelProperty("目标位置前一位的顺序号")
    private Integer orderSeq;

    @ApiModelProperty("系统Id")
    private String projectId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public Integer getOrderSeq() {
        return orderSeq;
    }

    public void setOrderSeq(Integer orderSeq) {
        this.orderSeq = orderSeq;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}
